- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IFeedContentProvider
TFeedService
TJsonResponse
TJsonService
TPageConfiguration
TPageService
TSoapServer
TSoapService

Keyword

# Interface IFeedContentProvider

IFeedContentProvider interface.

IFeedContentProvider interface must be implemented by a feed class who provides feed content.

Since: 3.1
Author: Qiang Xue <qiang.xue@gmail.com>
Author: Knut Urdalen <knut.urdalen@gmail.com>

Method Summary
string | getContentType () Sets the content type of the feed content to be sent.
string | getFeedContent ()
void | init ( TXmlElement $config) Initializes the feed content provider.

Method Details

## getContentType

public string getContentType | ()

Sets the content type of the feed content to be sent.

Some examples are: RSS 1.0 feed: application/rdf+xml RSS 2.0 feed: application/rss+xml or application/xml or text/xml ATOM feed: application/atom+xml

Output
string | the content type for the feed content.
Exception

## getFeedContent

public string getFeedContent | ()

Output
string | feed content in proper XML format
Exception

## init

public void init | (TXmlElement $config )

Initializes the feed content provider.

This method is invoked (before getFeedContent) when the feed provider is requested by a user.

Input
TXmlElement | $config | configurations specified within the &lt;feed&gt; element corresponding to this feed provider when configuring TFeedService.
Output
Exception